<?
/**************************************************
Program name:		index.php  
Author:			Chris Ryan <chris@greatbridge.com>

Description:		site home page
			
Create Date:		9/1/00 

Modified Date(s):
			9/28/00
			allen mcgrath (amcgrath@greatbridge.com)
				-- added the query info to get
				projects we have for display on the home 
				page.
			10/11/2000
			allen mcgrath (amcgrath@greatbridge.com)
				added the category stuff
			11/30/2000
			Chris Ryan <chris@greatbridge.com>
				modified project query to only include those
				projects that this site is for
                        03/08/2001
                        Chris Ryan <chris@greatbridge.com>
                                reformatted alot of the code as I was
                                adding in code to do top3 and newest3
                                projects
**************************************************/

    $web_page = "homepage";
    include("site_info.php");



/*******************************
 * GRAB PROJECTS THAT WE HAVE  *
 *******************************/
    # get a list of all projects
    $proj_query = "  SELECT PROJECT_ID,PROJECT_NAME,PROJECT_TITLE " .
                  "    FROM PROJECT " .
                  "   WHERE APPROVED = 't' " .
                  "     AND SITE_GROUP_ID = $site_group_id ".
                  "ORDER BY DATE_CREATED";
    $proj_result = pg_exec($conn,$proj_query);

    $r = 0;
    while ($row = @pg_fetch_array($proj_result,$r++)) {
        $proj_list[] = array( "project_id"    => $row["project_id"],
                              "project_title" => $row["project_title"],
                              "project_name"  => $row["project_name"]);
    }

    # get a list of the top 3 projects
    $proj_qtop = "  SELECT PROJECT_ID,PROJECT_NAME,PROJECT_TITLE " .
                  "    FROM PROJECT " .
                  "   WHERE APPROVED = 't' " .
                  "     AND SITE_GROUP_ID = $site_group_id ".
                  "ORDER BY RANK DESC";
    $proj_rtop = pg_exec($conn,$proj_qtop);

    $r = 0;
    while (($row = @pg_fetch_array($proj_rtop,$r++)) && ($r <= 3)) {
        $proj_toplist[] = array( "project_id"    => $row["project_id"],
                                 "project_title" => $row["project_title"],
                                 "project_name"  => $row["project_name"]);
    }

    # get a list of the newest 3 projects
    $proj_qnew = "  SELECT PROJECT_ID,PROJECT_NAME,PROJECT_TITLE " .
                  "    FROM PROJECT " .
                  "   WHERE APPROVED = 't' " .
                  "     AND SITE_GROUP_ID = $site_group_id ".
                  "ORDER BY DATE_CREATED DESC";
    $proj_rnew = pg_exec($conn,$proj_qnew);

    $r = 0;
    while (($row = @pg_fetch_array($proj_rnew,$r++)) && ($r <= 3)) {
        $proj_newlist[] = array( "project_id"    => $row["project_id"],
                                 "project_title" => $row["project_title"],
                                 "project_name"  => $row["project_name"]);
    }


    # Build out the category list here	
    $cat_list = getCats(0);

    # grab news stories here
    $news_list = getNews($site_group_id,0,0);
							
    include($page_template);
 ?>
